MPI_Type_hvector(3)

NAME
MPI_Type_hvector - type_hvector

SYNOPSIS
int MPI_Type_hvector(int count,
int blocklength, MPI_Aint stride, MPI_Datatype oldtype, MPI_Datatype * newtype)

INPUT PARAMETERS
count
    - number of blocks (nonnegative integer)
blocklength
    - number of elements in each block (nonnegative integer)
stride
    - number of bytes between start of each block (integer)
oldtype
    - old datatype (handle)

OUTPUT PARAMETERS
newtype
    - new datatype (handle)

NOTES

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.
MPI_SUCCESS
    - No error; MPI routine completed successfully.